Subject: re: logging mailbox access

From: Laurie Cuthbert <[email-masked]>
Date: Wed, 2 Feb 1994 09:18:23 GMT

Mark

Thanks for the response.

I should have explained in the original message that delivering mail with smail, the 
access time appears to be updated when mail is delivered as well as retrieved, so 
we can't use that.

I was hoping for any easy switch to cause to imapd to write info to syslog but we'll 
now have to investigate server_login().

Thanks

Laurie

On Tue, 1 Feb 1994 13:24:02 -0800 (PST) Mark Crispin wrote:

> From: Mark Crispin
> Date: Tue, 1 Feb 1994 13:24:02 -0800 (PST)
> Subject: re: logging mailbox access
> To: Laurie Cuthbert <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> On Tue, 1 Feb 1994 20:45:47 +0000 (GMT), Laurie Cuthbert wrote:
> > Now that we have moved student email in the department away from pop to
> > imap-based mailers (mainly pine) we would like to be able to log when
> > they have accessed the mailbox. This is purely so we can see which
> > students have NOT read their mail for some time as it may be a warning
> > that they are having some sort of problems and maybe dropping out - early
> > warning can often solve the problem.
> >
> > With pop we could do that by checking the date stamp on the lock file but
> > there seems no obvious way with imapd. Have I missed something (obvious) ?
> 
> Since you're just interested in last access and not in any access telemetry,
> have you considered using the file access time?
> 
> Another possibility is to modify the server_login() routine in imap/c-
> client/os_???.c to write a timestamp of your choosing; that way, you'll be
> able to discriminate inactive users specifically.
>